[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# Dir

Record used in fpOpenDir and fpReadDir calls

## Declaration

Source position: ostypes.inc line 123

`type Dir = record`
`dd_fd: LongInt;` |  | File descriptor. Do not use.
`dd_loc: LongInt;` |  | Location in directory listing
`dd_size: LongInt;` |  | File size
`dd_buf: pDirent;` |  | Pointer to Dir records
`dd_nextoff: Cardinal;` |  | ?
`dd_max: Integer;` |  | ?
`dd_lock: pointer;` |  | ?
`end;`